<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <title>MasterFacture - Kritik am Projektablauf und Scrum Master</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="author" content="MasterFacture" />
    <meta name="publisher" content="MasterFacture" />
    <meta name="copyright" content="MasterFacture" />
    <meta name="keywords" content="MasterFacture, Ohm-Hochschule" />
    <meta name="description" content="MasterFacture" />
    <meta name="page-topic" content="Studium, Study" />
    <meta name="audience" content="Alle" />
    <meta name="expires" content="0" />
    <meta name="robots" content="INDEX,FOLLOW" />
    <link href="styles.css" rel="stylesheet" type="text/css" />
</head>

<body onload="document.f.text.focus();">
<div id="content">
<h2>MSE07 - Kritik</h2>
<p class="description">Diese Seite bietet die Möglichkeit (anonyme) Kritik am Projektverlauf und am <a href="mailto:scrummaster@masterfacture.de" title="Mail an den Scrum-Master schreiben">Scrum-Master</a> zu üben. Zugriff auf die nicht angezeigten Beiträge erhält lediglich der Scrum Master.
<?php
if (isset($_POST['kritik']))
{
    $kritik = $_POST['kritik'];
    $text = utf8_decode(str_replace(';', ',', trim($kritik['text'])));
    $name = utf8_decode(str_replace(';', ',', trim($kritik['name'])));
    if ($name == "")
        $name = "anonym";
    $an = $kritik['an'];
    $anText = ($an == 1) ? 'Projekt' : 'Scrum Master';
    $anzeigen = (isset($kritik['anzeigen']) && ($kritik['anzeigen'] == "on"));
    $anzeigenText = $anzeigen ? 1 : 0;

    if ($text != "")
    {
        $zeile = microtime(true) . ";" . $an . ";" . $name . ";" . $text . ";" . $anzeigenText . "\n";
        $handle = fopen("kritik.txt", "a");
        if ($handle)
        {
            fputs($handle, $zeile);
            fclose($handle);
        }
        $wirdAngezeigt = " (Kritik erscheint in der Liste)";
        if (!$anzeigen)
            $wirdAngezeigt = " (Kritik erscheint nicht in der Liste)";
        $body = 'Von ' . $name . " an " . $anText . $wirdAngezeigt . ":\n" . $text;
        @mail("scrummaster@masterfacture.de", "[MEng] Neue Kritik auf masterfacture.de", $body, "From: Masterfacture <noreply@masterfacture.de>");
    }
}

$kProjekt = array();
$kMaster = array();
$cProjekt = 0;
$cMaster = 0;

$handle = fopen("kritik.txt", "r");
if ($handle)
{
    while (($zeile = fgetcsv($handle, 1000, ";")) !== false)
    {
        $zeit = $zeile[0];
        $an = $zeile[1];
        $name = $zeile[2];
        $text = $zeile[3];
        $anzeigen = $zeile[4];
        switch ($an)
        {
            case 1:
                $cProjekt++;
                if ($anzeigen == 1)
                    $kProjekt[] = array(
                        'zeit' => $zeit,
                        'an' => $an,
                        'name' => $name,
                        'text' => $text
                    );
                break;
            case 2:
                $cMaster++;
                if ($anzeigen == 1)
                    $kMaster[] = array(
                        'zeit' => $zeit,
                        'an' => $an,
                        'name' => $name,
                        'text' => $text
                    );
                break;
            default:
                break;
        }
    }
    fclose($handle);
}
?>
<h3>Bisherige Kritik am Projektverlauf (Impediment List)</h3>
<p class="description">Bisher <?=$cProjekt?> abgegebene Kritiken, davon werden <?=($cProjekt - count($kProjekt))?> nicht angezeigt.</p>
<?php
if (count($kProjekt) > 0)
{
    echo "<ul>\n";
    foreach ($kProjekt as $k)
    {
        echo utf8_encode("<li><small>" . $k['name'] . " am " . date('d.m.Y H:i', $k['zeit']) . "</small><p>" . $k['text'] . "</p></li>\n");
    }
    echo "</ul>\n";
}
?>

<h3>Bisherige Kritik am Scrum Master</h3>
<p class="description">Bisher <?=$cMaster?> abgegebene Kritiken, davon werden <?=($cMaster - count($kMaster))?> nicht angezeigt.</p>
<?php
if (count($kMaster) > 0)
{
    echo "<ul>\n";
    foreach ($kMaster as $k)
    {
        echo utf8_encode("<li><small>" . $k['name'] . " am " . date('d.m.Y H:i', $k['zeit']) . "</small><p>" . $k['text'] . "</p></li>\n");
    }
    echo "</ul>\n";
}
?>

<h3>Kritik abgeben</h3>
<form action="<?=$_SERVER['PHP_SELF']?>" method="post" name="f">
    <label>Kritik<br />
        <input type="text" name="kritik[text]" id="text" />
    </label>
    <label>Kritik am<br />
        <select name="kritik[an]" id="an">
            <option value="1">Projekt</option>
            <option value="2">Scrum Master</option>
        </select>
    </label>
    <label>Name<br />
        <input type="text" name="kritik[name]" id="name" value="anonym" />
    </label>
    <label><input type="checkbox" checked="checked" name="kritik[anzeigen]" />In obiger Liste anzeigen
    </label>
    <br />
    <input type="submit" value="Kritik abgeben" id="button" />
</form>

</div>
</body>
</html>
